> ## Documentation Index
> Fetch the complete documentation index at: https://ekacare-quickstart-cleanup.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Cases

> This endpoint returns a list of all cases. Results are always ordered by ascending value of `updated_at`.

**Note**: Use the `offset` param (i.e. `next_token`) for pagination and `u_at__gt` for incremental sync.



## OpenAPI

````yaml get /mr/api/v1/cases
openapi: 3.0.0
info:
  title: Document Upload API
  description: API to pre-sign the URL for uploading documents.
  version: 1.0.0
  license:
    name: Proprietary License
    url: https://developer.eka.care/license
servers:
  - url: https://api.eka.care
    description: Production server
  - url: https://api.dev.eka.care
    description: Development server
security: []
tags:
  - name: Records
    description: API related to records document management.
paths:
  /mr/api/v1/cases:
    get:
      tags:
        - Cases
      summary: List Cases
      description: >-
        This endpoint returns a list of all cases. Results are always ordered by
        ascending value of `updated_at`.


        **Note**: Use the `offset` param (i.e. `next_token`) for pagination and
        `u_at__gt` for incremental sync.
      parameters:
        - in: header
          name: X-Pt-Id
          required: true
          schema:
            type: string
          description: Patient ID associated with the case
        - in: query
          name: offset
          required: false
          schema:
            type: string
          description: Token to fetch the next page of results
        - in: query
          name: u_at__gt
          schema:
            type: integer
            format: int64
            example: 1614556800
          required: false
          description: >
            Return only records with `updated_at` greater than this value (used
            for incremental sync)
      responses:
        '200':
          description: List of cases
          content:
            application/json:
              schema:
                type: object
                properties:
                  cases:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          example: case_id_1
                        status:
                          type: string
                          example: A
                          description: Possible enums — A (Active), D (Deleted)
                        updated_at:
                          type: integer
                          format: int64
                          example: 1753958070
                        item:
                          type: object
                          nullable: true
                          description: Will be missing in case of deleted case
                          properties:
                            display_name:
                              type: string
                              example: Leg Injury
                            type:
                              type: string
                              example: OP
                            hi_type:
                              type: string
                              enum:
                                - OPConsultation
                                - Prescription
                                - DischargeSummary
                                - DiagnosticReport
                                - ImmunizationRecord
                                - HealthDocumentRecord
                                - WellnessRecord
                              description: Type of case
                              example: OPConsultation
                            partner_meta:
                              type: object
                              additionalProperties: true
                              description: |
                                metadata attached to the case.
                              example:
                                facility_id: GH
                                uhid: UHID_1234
                            created_at:
                              type: integer
                              format: int64
                              example: 1753958060
                            occurred_at:
                              type: integer
                              format: int64
                              example: 1753958060
                  next_token:
                    type: string
                    nullable: true
                    example: i_m_next_page_token
                    description: Token for fetching the next page, if available
        '401':
          description: Unauthorized - Invalid token
        '500':
          description: Internal server error
      security:
        - auth: []
components:
  securitySchemes:
    auth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````